Update Campaign Bid By Id
curl --request PATCH \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/bids/{bid_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<unknown>",
"isActive": true
}
'import requests
url = "https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/bids/{bid_id}"
payload = {
"amount": "<unknown>",
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '<unknown>', isActive: true})
};
fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/bids/{bid_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/bids/{bid_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '<unknown>',
'isActive' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/bids/{bid_id}"
payload := strings.NewReader("{\n \"amount\": \"<unknown>\",\n \"isActive\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/bids/{bid_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": \"<unknown>\",\n \"isActive\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/bids/{bid_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": \"<unknown>\",\n \"isActive\": true\n}"
response = http.request(request)
puts response.read_body{
"bidId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target": {
"id": "p_8983",
"type": "product"
},
"isActive": true,
"triggers": [
{
"type": "keyword",
"value": {
"words": [
"<string>"
],
"matchType": "exact"
}
}
],
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "active",
"amount": "<unknown>",
"location": "Santiago",
"bidsBehaviorData": "<string>",
"formatProperties": {
"bannerAssets": [
{
"dimensions": {
"width": 1920,
"height": 1080
},
"url": "<string>",
"contentType": "image/png",
"size": 123,
"assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
"content": {},
"jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"slotId": "<string>",
"adFormat": "banner",
"deviceType": "desktop"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaign API
Update Campaign Bid By Id
Endpoint to update a bid.
PATCH
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign_id}
/
bids
/
{bid_id}
Update Campaign Bid By Id
curl --request PATCH \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/bids/{bid_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<unknown>",
"isActive": true
}
'import requests
url = "https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/bids/{bid_id}"
payload = {
"amount": "<unknown>",
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '<unknown>', isActive: true})
};
fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/bids/{bid_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/bids/{bid_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '<unknown>',
'isActive' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/bids/{bid_id}"
payload := strings.NewReader("{\n \"amount\": \"<unknown>\",\n \"isActive\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/bids/{bid_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": \"<unknown>\",\n \"isActive\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign_id}/bids/{bid_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": \"<unknown>\",\n \"isActive\": true\n}"
response = http.request(request)
puts response.read_body{
"bidId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target": {
"id": "p_8983",
"type": "product"
},
"isActive": true,
"triggers": [
{
"type": "keyword",
"value": {
"words": [
"<string>"
],
"matchType": "exact"
}
}
],
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "active",
"amount": "<unknown>",
"location": "Santiago",
"bidsBehaviorData": "<string>",
"formatProperties": {
"bannerAssets": [
{
"dimensions": {
"width": 1920,
"height": 1080
},
"url": "<string>",
"contentType": "image/png",
"size": 123,
"assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
"content": {},
"jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"slotId": "<string>",
"adFormat": "banner",
"deviceType": "desktop"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizações
Parâmetros de caminho
Corpo
application/json
Resposta
Successful Response
Represents an auction bid for a specific entity and a specific maximum amount.
triggers
(KeywordTrigger · object | CategoryTrigger · object | CategoriesTrigger · object | ProductTrigger · object | NoContextTrigger · object | KeywordsFromCampaignProductsTrigger · object | CategoriesFromCampaignProductsTrigger · object)[]
obrigatório
A list of objects that trigger the appearance of this bid on an auction.
When should this bid participate in an auction.
- KeywordTrigger
- CategoryTrigger
- CategoriesTrigger
- ProductTrigger
- NoContextTrigger
- KeywordsFromCampaignProductsTrigger
- CategoriesFromCampaignProductsTrigger
Show child attributes
Show child attributes
By using this option you will be able to target this campaign to a specific group.You must define the same location as a parameter on the auction request. Products on a specific campaign will have specific conversion rates, considering the context of location, so it will not interfere with the conversion rates for the same product in other campaigns.
Minimum string length:
1Exemplo:
"Santiago"
Esta página foi útil?